ISXEVE - Bug #1955

StationID of MarketOrder for Citadels returning -1
2017-07-26 06:53 AM - rogeruk

Status: Implemented
Priority: Normal
Assignee:

Category: broken feature(s)

Target version:

vbulletin_issue_id:

Description

MarketOrder (Data Type)
StationID (Member)

function main ()

{
variable index:marketorder OrdersIndex
variable iterator OrderSearcher

variable int x = 33681

EVE:FetchMarketOrders[${x}]
while !${EVE:GetMarketOrders|[OrdersIndex, ${x}, "buy"] (exists) }
{

wait 10

OrdersIndex:GetIterator[OrderSearcher]
if ${OrderSearcher:First (exists) }
do
{
echo ${OrderSearcher.Value.StationID}

}

while ${OrderSearcher:Next (exists) }

Output:

-1 (Perimeter - 01 IChooseYou Trade Hub)

60003760 (Jita IV - Moon 4 - Caldari Navy Assembly Plant)
60003760 (Jita IV - Moon 4 - Caldari Navy Assembly Plant)

History

#1 - 2017-07-26 07:00 AM - rogeruk

This is what it should show:

{

"stationName": "Jita IV - Moon 4 - Caldari Navy Assembly Plant",
"stationID": "60003760"

}I

{
"stationName": "Perimeter - 01 IChooseYou Trade Hub",
"stationID": "1023164547009"

}

Also is there a Owner or OwnerID member that we can access?

#2 - 2017-07-29 05:10 PM - rogeruk

Causing problems with PlaceBuyOrder too, it is expecting an int but the stationID for the citadels are a long.
#3 - 2017-07-30 03:41 PM - rogeruk

echo ${Me.StationID} displays the correct StationID if that helps.
.NET Me.StationID gives -1 aswell

#4 - 2018-03-31 02:09 PM - Amadeus
- Description updated

- Status changed from New to Implemented

I think this should be fixed as of version 20180327.0002. If not, please open a new bug report, etc.

2024-04-09 22


http://www.tcpdf.org

